com.impinj.octane

## Enum WriteResultStatus

- java.lang.Object
- - java.lang.Enum<WriteResultStatus>
  - - com.impinj.octane.WriteResultStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WriteResultStatus>

      public enum WriteResultStatus
      extends java.lang.Enum<WriteResultStatus>

  a enumeration to report the results of a write operation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `InsufficientPower` The tag did not meet the required RSSI threshold.
    `NonspecificReaderError` An unidentified reader error occurred.
    `NonspecificTagError` An unidentified tag error occurred.
    `NoResponseFromTag` No ACK response was received from the tag in response to the operation.
    `Success` The tag write operation was successful.
    `TagMemoryLockedError` The target memory bank is in the locked state.
    `TagMemoryOverrunError` The tag write operation request contained more data than can fit in the target memory bank.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static WriteResultStatus` | `valueOf(int writeResultStatusValue)`
    `static WriteResultStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WriteResultStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final WriteResultStatus Success

      The tag write operation was successful.

    - #### TagMemoryOverrunError

          public static final WriteResultStatus TagMemoryOverrunError

      The tag write operation request contained more data than can fit in the target memory bank.

    - #### TagMemoryLockedError

          public static final WriteResultStatus TagMemoryLockedError

      The target memory bank is in the locked state.

    - #### InsufficientPower

          public static final WriteResultStatus InsufficientPower

      The tag did not meet the required RSSI threshold.

    - #### NonspecificTagError

          public static final WriteResultStatus NonspecificTagError

      An unidentified tag error occurred.

    - #### NoResponseFromTag

          public static final WriteResultStatus NoResponseFromTag

      No ACK response was received from the tag in response to the operation.

    - #### NonspecificReaderError

          public static final WriteResultStatus NonspecificReaderError

      An unidentified reader error occurred.

  - ### Method Detail

    - #### values

          public static WriteResultStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WriteResultStatus c : WriteResultStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WriteResultStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static WriteResultStatus valueOf(int writeResultStatusValue)

      Parameters:
        `writeResultStatusValue` - an integer value
      Returns:
        the enumeration object associated with the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value of the enumeration object